%define name SpiralSynth
%define version 2.0.0
%define release 3mdk

Name:    %{name}
Summary: SpiralSynth is a simple software synthesizer.
Version: %{version}
Release: %{release}

Source:		%name-%{version}.tar.bz2
Source1: 	SpiralLogo48.png
Source2: 	SpiralLogo32.png
Source3: 	SpiralLogo16.png
Patch:		%name-2.0.0.patch.bz2
URL:		http://www.pawfal.org/Software/SpiralSynth
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	fltk-devel

%description
SSM's little brother has been updated at last, much much faster, better
sounding, a bit prettier and soon to be a SSM polyphonic plugin.
SpiralSynth is a simple polyphonic analogue modelling softsynth that tries
to be as easy to use as possible. 

%prep
%setup -q -n %name-%version
%patch -p1

%build
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
cp %name $RPM_BUILD_ROOT/%_bindir

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="SpiralSynth" longtitle="Software Synthesizer" section="Multimedia/Sound"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README CHANGES COPYING
%{_bindir}/%name
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Thu Jun 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.0-3mdk
- Rebuild

* Fri Apr 2 2004 Austin Acton <austin@mandrake.org> 2.0.0-2mdk
- stale rebuild

* Mon Feb 10 2003 Austin Acton <aacton@yorku.ca> 2.0.0-1mdk
- initial package
- patch from Narfi Stefansson <narfi@cs.wisc.edu>

